# AppScriptGroup QML Type

- List of all members, including inherited members

## Properties

- scripts : array

## Methods

- exitAll()

## Detailed Description

AppScriptGroup hold a group of AppScript objects which are mutually exclusive in execution. Whatever a AppScript is going to start, it will terminate all other AppScript objects. So that only one AppScript is running at a time.

    Item {

        AppScript {
            id: script1
            script: {
                // write script here
            }
        }

        AppScript {
            id: script2
            script: {
                // write script here
            }
        }

        AppScriptGroup {
            scripts: [script1, script2]
        }

        Component.onCompleted: {

            script1.run();

            script2.run();

            // At this point, AppScriptGroup will force script1 to terminate since script2 has been started.

        }

    }

## Property Documentation

scripts : array

This property hold an array of AppScript object. They are mutually exclusive in execution.

    AppScript {
        id: script1
    }

    AppScript {
        id: script2
    }

    AppScriptGroup {
        scripts: [script1, script2]
    }

## Method Documentation

exitAll()

Terminate all AppScript objects